Imports System.Math

Public Class PathLink
    Public Node1 As PathNode
    Public Node2 As PathNode
    Public Cost As Single

    Public InPathTree As Boolean

    Public Sub New(ByVal n1 As PathNode, ByVal n2 As PathNode)
        Node1 = n1
        Node2 = n2

        Dim dx As Double = n1.Pt.X - n2.Pt.X
        Dim dy As Double = n1.Pt.Y - n2.Pt.Y
        Cost = Sqrt(dx * dx + dy * dy)
    End Sub

    ' Link these nodes.
    Public Shared Function LinkNodes(ByVal n1 As PathNode, ByVal n2 As PathNode) As PathLink
        Dim new_link As New PathLink(n1, n2)
        n1.Links.Add(new_link)
        n2.Links.Add(new_link)
        Return new_link
    End Function
End Class
